- [HTTP request](https://docs.cloud.google.com/sensitive-data-protection/docs/reference/rest/v2/projects.dlpJobs/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/sensitive-data-protection/docs/reference/rest/v2/projects.dlpJobs/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/sensitive-data-protection/docs/reference/rest/v2/projects.dlpJobs/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/sensitive-data-protection/docs/reference/rest/v2/projects.dlpJobs/list#body.request_body)
- [Response body](https://docs.cloud.google.com/sensitive-data-protection/docs/reference/rest/v2/projects.dlpJobs/list#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/sensitive-data-protection/docs/reference/rest/v2/projects.dlpJobs/list#body.aspect)
- [Try it!](https://docs.cloud.google.com/sensitive-data-protection/docs/reference/rest/v2/projects.dlpJobs/list#try-it)

Lists DlpJobs that match the specified filter in the request. See <https://docs.cloud.google.com/sensitive-data-protection/docs/inspecting-storage> and <https://docs.cloud.google.com/sensitive-data-protection/docs/compute-risk-analysis> to learn more.

### HTTP request

Choose an endpoint:
global africa-south1 asia-east1 asia-east2 asia-northeast1 asia-northeast2 asia-northeast3 asia-south1 asia-south2 asia-southeast1 asia-southeast2 australia-southeast1 australia-southeast2 europe-central2 europe-north1 europe-north2 europe-southwest1 europe-west1 europe-west10 europe-west12 europe-west2 europe-west3 europe-west4 europe-west6 europe-west8 europe-west9 me-central1 me-central2 me-west1 northamerica-northeast1 northamerica-northeast2 northamerica-south1 southamerica-east1 southamerica-west1 us-central1 us-east1 us-east4 us-east5 us-south1 us-west1 us-west2 us-west3 us-west4 us eu in   
`GET https://dlp.googleapis.com/v2/{parent=projects/*}/dlpJobs`

<br />

The URLs use [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. Parent resource name. The format of this value varies depending on whether you have [specified a processing location](https://docs.cloud.google.com/sensitive-data-protection/docs/specifying-location): - Projects scope, location specified: `projects/{projectId}/locations/{locationId}` - Projects scope, no location specified (defaults to global): `projects/{projectId}` The following example `parent` string specifies a parent project with the identifier `example-project`, and specifies the `europe-west3` location for processing data: parent=projects/example-project/locations/europe-west3 Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `parent`: - `dlp.jobs.list` |

### Query parameters

| Parameters ||
|---|---|
| `filter` | `string` Allows filtering. Supported syntax: - Filter expressions are made up of one or more restrictions. - Restrictions can be combined by `AND` or `OR` logical operators. A sequence of restrictions implicitly uses `AND`. - A restriction has the form of `{field} {operator} {value}`. - Supported fields/values for inspect jobs: - `state` - PENDING\|RUNNING\|CANCELED\|FINISHED\|FAILED - `inspected_storage` - DATASTORE\|CLOUD_STORAGE\|BIGQUERY - `triggerName` - The name of the trigger that created the job. - 'endTime\` - Corresponds to the time the job finished. - 'startTime\` - Corresponds to the time the job finished. - Supported fields for risk analysis jobs: - `state` - RUNNING\|CANCELED\|FINISHED\|FAILED - 'endTime\` - Corresponds to the time the job finished. - 'startTime\` - Corresponds to the time the job finished. - The operator must be `=` or `!=`. The syntax is based on <https://google.aip.dev/160>. Examples: - inspected_storage = cloud_storage AND state = done - inspected_storage = cloud_storage OR inspected_storage = bigquery - inspected_storage = cloud_storage AND (state = done OR state = canceled) - endTime \> "2017-12-12T00:00:00+00:00" The length of this field should be no more than 500 characters. |
| `pageSize` | `integer` The standard list page size. |
| `pageToken` | `string` The standard list page token. |
| `type` | ``enum (`https://docs.cloud.google.com/sensitive-data-protection/docs/reference/rest/v2/projects.dlpJobs#DlpJob.DlpJobType`)`` The type of job. Defaults to `DlpJobType.INSPECT` |
| `orderBy` | `string` Comma-separated list of fields to order by, followed by `asc` or `desc` postfix. This list is case insensitive. The default sorting order is ascending. Redundant space characters are insignificant. Example: `name asc, endTime asc, createTime desc` Supported fields are: - `createTime`: corresponds to the time the job was created. - `endTime`: corresponds to the time the job ended. - `name`: corresponds to the job's name. - `state`: corresponds to `state` |
| `locationId` | `string` Deprecated. This field has no effect. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/sensitive-data-protection/docs/reference/rest/v2/ListDlpJobsResponse`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).